Cabal-2.0.1.0: A framework for packaging Haskell software

Safe Haskell | None
Language | Haskell2010

Distribution.Types.AnnotatedId

Synopsis

- data AnnotatedId id = AnnotatedId {
  - ann_pid :: PackageId
  - ann_cname :: ComponentName
  - ann_id :: id
  }

# Documentation

data AnnotatedId id #

An `AnnotatedId` is a `ComponentId`, `UnitId`, etc. which is annotated with some other useful information that is useful for printing to users, etc.

Constructors

AnnotatedId |

Fields

- ann_pid :: PackageId
- ann_cname :: ComponentName
- ann_id :: id

Instances

Functor AnnotatedId # |
Methods fmap :: (a -> b) -> AnnotatedId a -> AnnotatedId b Source # (<$) :: a -> AnnotatedId b -> AnnotatedId a Source #
Show id => Show (AnnotatedId id) # |
Methods showsPrec :: Int -> AnnotatedId id -> ShowS Source # show :: AnnotatedId id -> String Source # showList :: [AnnotatedId id] -> ShowS Source #
Package (AnnotatedId id) # |
Methods packageId :: AnnotatedId id -> PackageIdentifier #